//////////////////////////////////////////////////////////////////////////////////////
//
//	Autor: 		Jens Wei
//	Date. 		12.09.2012
//
//	Projekt: 	Laser Exposer
//	Module: 	Motor Controller
//	Funktion: 	Der Motor Controller steuert den Polygonspiegel und sorgt
//				dafr, dass sich der Spiegel mit einer festen Geschwindigkeit dreht.
//				Die Frequenz wird so eingestellt, dass der Laser genau 3ms braucht 
//				fr eine Zeile.
//
//////////////////////////////////////////////////////////////////////////////////////

#define LED_PORT 	PORTD
#define LED_DDR 	DDRD
#define LED_BIT		6

#define PWM_PORT 	PORTB
#define PWM_BIT		2

#define INT_PORT	PORTD
#define INT_DDR		DDRD
#define INT_PIN		2


int PI_Berechnung (unsigned long int x, unsigned long int w);
void init_INT0(void);
